% membrane water content
function xi = Xi(a)
%
    if (length(a) == 1)
    %

        if  (a<1)
            xi = 0.043 + 17.81*a - 39.85*a.^2 + 36.0*a.^3;
        elseif  (a<3)
            xi = 14 + 1.4*(a-1);
        else
            xi = 16.8;
        end
    else
    %
        %cannot use xi = Xi(a) since there is checking of the 
        %value of each a inside xi ???
        xi = ones(size(a));
        for i=1:length(a)
            xi(i) = Xi(a(i)); 
        end
    %
    end
%
end